Opened 13 days ago

Closed 13 days ago

#29484 closed Cleanup/optimization (fixed)

Remove the need to specify SPATIALITE_LIBRARY_PATH with Spatialite 4.2+

Reported by: Claude Paroz Owned by: nobody
Component: GIS Version: master
Severity: Normal Keywords:
Cc: Triage Stage: Ready for checkin
Has patch: yes Needs documentation: no
Needs tests: no Patch needs improvement: no
Easy pickings: no UI/UX: no

Description

Currently you need to add SPATIALITE_LIBRARY_PATH = 'mod_spatialite' to your settings (or 'mod_spatialite.so' on Ubuntu 18.04). Django could try to load those values automatically.

PR

Change History (2)

comment:1 Changed 13 days ago by Tim Graham

Triage Stage: AcceptedReady for checkin

comment:2 Changed 13 days ago by Claude Paroz <claude@…>

Resolution: fixed
Status: newclosed

In f383614:

Fixed #29484 -- Removed the need to specify SPATIALITE_LIBRARY_PATH with Spatialite 4.2+.

Thanks Tim Graham for the review.

Note: See TracTickets for help on using tickets.
Back to Top